# Note: this is not a relocatable package.
%define prefix        %{_prefix}
%define localstatedir %{_localstatedir}
%define pixmapdir     %{_datadir}/pixmaps

Summary		: A cool game for GNOME
Name		: atomix
Version		: 1.0
Release		: 3
License		: GPL
Group		: Amusements/Games
URL		: http://jens.triq.net/atomix.php
#Source0	: http://jens.triq.net/download/%{name}-%{version}.tar.gz
Source0         : %{name}-%{version}.tar.bz2
Source1		: %{name}-logo.png
Patch		: atomix-1.0-gcc4.patch
Prefix		: %{prefix}
BuildRequires	: intltool pkgconfig
BuildRequires	: gdk-pixbuf-devel >= 0.18.0
BuildRequires	: gnome-libs-devel >= 1.4.1.2.90
BuildRequires	: libbonoboui-devel >= 2.0.1
BuildRequires	: libglade2-devel
BuildRequires	: libgnomecanvas-devel >= 2.0.2
BuildRequires	: libgnomeui-devel >= 2.0.3
BuildRequires	: libxml2-devel
Buildroot	: %{_tmppath}/%{name}-%{version}-root

%description
Atomix is yet another little mind game. You have to build molecules out of
single atoms laying around. Of course there is a time limit and the handling is
not as easy as you might expect ;-). This game is inspiried by the orignal
Amiga game Atomix. It uses the GNOME librarys and is distributed under the
terms of the General Public License (GPL).

%prep
%setup
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{prefix} --localstatedir=%{localstatedir}
# XXX hany: bundled intltool scripts does not wotk and configure does not detect/use system ones => this ugly hack:
%{__install} -m 0755 %{_bindir}/intltool-merge .
make %{?_smp_mflags}


%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install

%{__mkdir_p} $RPM_BUILD_ROOT%{pixmapdir}
%{__install} %{SOURCE1} $RPM_BUILD_ROOT%{pixmapdir}
%{__sed} -i -e 's/Icon=/Icon=atomix-logo.png/g' $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %name

%clean
rm -rf "$RPM_BUILD_ROOT"


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%attr(2755,root,games) %{prefix}/bin/atomix
%{prefix}/bin/atomix
%{prefix}/share/applications/%{name}.desktop
%{prefix}/share/%{name}
%{prefix}/share/gnome-2.0/ui/%{name}-ui.xml
%defattr(-,games,games)
%{localstatedir}/games/atomix.scores
%{pixmapdir}/%{name}-logo.png


%changelog
* Wed May 10 2006 Peter Hanecak <hany@hany.sk> 1.0-3
- added some missing build requires

* Wed May 10 2006 Peter Hanecak <hany@hany.sk> 1.0-2
- rebuild for Doors 9.0 (FC5)

* Tue Sep 20 2005 Peter Hanecak <hanecak@megaloman.sk> 1.0-1
- update to 1.0
- updated URL
- %%{?_smp_mflags} used with 'make'
- patched to compile with GCC4

* Fri May 17 2002 Peter Hanecak <hanecak@megaloman.sk>
- s/Copyright/License

* Mon Feb 26 2001 Jens Finke <jens@eknif.de>
- Make use of _prefix and _localstatedir variables.
- Don't set setgid for atomixed.

* Tue Feb 29 2000 Christian W. Zuckschwerdt <zany@triq.net>
- Added --localstatedir option to configure, so the score file will 
be correctly installed. 

* Wed Nov 14 1999 Fabien Emmes <fab@orlen.de>
- First release.
